/* 
*  This file is part of BCCsuite.
*
*  BCCsuite is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  BCCsuite is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with BCC; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  Copyright (C) 2006 Eric Chassande-Mottin, CNRS
*
*/
 
#ifndef _PIPELINE_H
#define _PIPELINE_H

#include "IO.h"

#ifdef  __cplusplus
extern "C" {
#endif

  /* data structures */

  typedef struct tag_pipeline_params{
    int segment_length;
    double overlap_ratio;
    int overlap_length;
    int raw_buffer_length[BCCMaxDetectorNumber];
    int rsp_buffer_length;
    int proc_buffer_length;
    int n_segments_per_buffer;
    double max_raw_buffer_length;
  } pipeline_params;
  
  /* prototypes */

  /* status description */

  /* error management */

#ifdef  __cplusplus
}
#endif

#endif /* _PIPELINE_H */
